var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useCallback } from 'react';
import { Input } from 'antd';
import { Labelled } from '../labelled';
export const TextInput = (_a) => {
    var { onChange = () => void 0, onAccept = () => void 0, onBlur = () => void 0 } = _a, props = __rest(_a, ["onChange", "onAccept", "onBlur"]);
    const handleChange = useCallback((event) => onChange(event.target.value), [onChange]);
    const handleBlur = useCallback((event) => {
        onAccept();
        onBlur(event);
    }, [onAccept, onBlur]);
    return (_jsx(Input, Object.assign({ size: "small", onChange: handleChange, onBlur: handleBlur, onPressEnter: onAccept }, props)));
};
export const LabelledTextInput = (_a) => {
    var { label } = _a, props = __rest(_a, ["label"]);
    return (_jsx(Labelled, { label: label, children: _jsx(TextInput, Object.assign({}, props)) }));
};
